# - Config file for the is-websocket package
#
# This package helps is middleware interface extensions to link against

cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

if(is-websocket_CONFIG_INCLUDED)
  return()
endif()
set(is-websocket_CONFIG_INCLUDED TRUE)

if(NOT TARGET is::is-websocket)
  include("${CMAKE_CURRENT_LIST_DIR}/is-websocket-target.cmake")
endif()

if(NOT TARGET is::websocket)
  add_library(is::websocket INTERFACE IMPORTED)
  set_target_properties(is::websocket PROPERTIES
    INTERFACE_LINK_LIBRARIES is::is-websocket
  )
endif()

include(CMakeFindDependencyMacro)
find_dependency(is-core)

foreach(extension )
  include(${CMAKE_CURRENT_LIST_DIR}/extensions/${extension})
endforeach()

foreach(dep )
  find_package(${dep} REQUIRED)
endforeach()

set(is-websocket_FOUND TRUE)
